set mail_check=5  # mutt checks for new mails on every keystroke
                  # but not more often then once in 5 seconds
set beep_new      # beep on new messages in the mailboxes

# set editor - turn on spell check
set editor="vim -c \"set spell spelllang=en\""

#Signature
set signature="~/.signature"

# Set a pager index
set pager_index_lines=5

# Show or suppress headers:
ignore *
unignore date: time: from: subject: to: cc:
hdr_order date: time: to: cc: from: subject: 

# Make new mail more noticeable
color index yellow default ~N

# Some other colors
color index red black ~D  # Deleted messages are RED
color index magenta black ~T # Tagged Messages are MAGENTA

# Date Format
# set date_format="!%a, %b %d, %Y at %I:%M:%S%p %Z"
set date_format="!%Y/%m/%d %I:%M %Z"

# Index format that displays X-Label contents
set index_format="%S %D %-20.20F %-30.30s %-20.20t"

# Key Bindings
#
bind pager k    previous-line
bind pager j    next-line
bind pager n    next-undeleted
bind pager p    previous-undeleted


# Aliases
macro pager \cb <pipe-entry>'urlview'<enter> 'Follow links'
alias cantolik Christopher Antolik <cantolik@cuyahogacounty.us>
alias nannoor Nadine An-Noor <nannoor@cuyahogacounty.us>
alias smhoward Shaundra Howard <smhoward@cuyahogacounty.us>
alias lpiccolomini Leslie Piccolomini <lpiccolomini@cuyahogacounty.us>
alias kodonnell Kevin O\'Donnell <kodonnell@cuyahogacounty.us>
alias bdelly Brandon Delly <bdelly@cuyahogacounty.us>
alias pfox Paul Fox <pfox@cuyahogacounty.us>
alias tpulling Tarah Pulling <tpulling@cuyahogacounty.us>
alias VDevese \"Devese, Veronica\" <VDevese@PS.CuyahogaCounty.us>
alias dkaleal Donna Kaleal <dkaleal@cuyahogacounty.us>
alias rgheen Rose Gheen <rgheen@cuyahogacounty.us>
alias jpo Jonathan Po <jpo@cuyahogacounty.us>
alias jkable John Kable III <jkable@cuyahogacounty.us>
alias cptpa Thomas Arnaut <cptpa@cuyahogacounty.us>
alias rshobert Ronald Shobert <rshobert@cuyahogacounty.us>
alias breid Bob Reid <breid@cuyahogacounty.us>
alias ezupancic Elizabeth Zupancic <ezupancic@cuyahogacounty.us>
alias kkozer Keith Kozer <kkozer@cuyahogacounty.us>
alias mzeigler Major Zeigler <mzeigler@cuyahogacounty.us>
alias ereilly Eleanor Reilly <ereilly@cuyahogacounty.us>
alias pwpac Paul Cianchetti <pwpac@cuyahogacounty.us>
alias aharvey Adam Harvey <aharvey@cuyahogacounty.us>
alias ddavtovich Debbie Davtovich <ddavtovich@cuyahogacounty.us>
alias jbitterman James Bitterman <jbitterman@cuyahogacounty.us>
alias dmichalosky Donald Michalosky <dmichalosky@cuyahogacounty.us>
alias EWelch Ellen M Welch <EWelch@PS.CuyahogaCounty.us>
alias marmbruster Mark Armbruster <marmbruster@cuyahogacounty.us>
alias chaines Cishma Haines <chaines@cuyahogacounty.us>
alias aedens Aaron Edens <aedens@cuyahogacounty.us>

# Idea for multiple profile implementation from http://www.8t8.us/mutt/
source ~/.mutt/muttrc.local.$LOCAL_CONFIG
